Qore Programming Language: FeatureList Class Reference

Qore Programming Language 0.8.11

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
FeatureList Class Reference

STL-like list containing all presently-loaded Qore features. More...

`#include <QoreLib.h>`

Inheritance diagram for FeatureList:
[legend]
Collaboration diagram for FeatureList:
[legend]

## Public Member Functions
DLLLOCAL | FeatureList ()
| initialized by the library, constructor not exported
DLLLOCAL | ~FeatureList ()
| destructor not exported
Public Member Functions inherited from safe_dslist< std::string >
DLLLOCAL iterator | begin ()
| returns an iterator pointing to the first element of the list
DLLLOCAL const_iterator | begin () const
| returns an iterator pointing to the first element of the list
DLLLOCAL void | clear ()
| empties the list
DLLLOCAL bool | empty () const
| returns true if the list is empty
DLLLOCAL iterator | end ()
| returns an iterator pointing one element from the end of the list
DLLLOCAL const_iterator | end () const
| returns an iterator pointing one element from the end of the list
DLLLOCAL void | erase (iterator i)
| deletes the list element given by the iterator argument More...
DLLLOCAL void | erase_to_end (iterator i)
| deletes the list element after the iterator argument and all other elements to the end of the list More...
DLLLOCAL iterator | find (std::stringdata)
| returns an iterator either pointing to the element given if present in the list or pointing to one element from the end of the list if not
DLLLOCAL const_iterator | find (std::stringdata) const
| returns an iterator either pointing to the element given if present in the list or pointing to one element from the end of the list if not
DLLLOCAL iterator | last ()
| returns an iterator pointing to the last element in the list
DLLLOCAL const_iterator | last () const
| returns an iterator pointing to the last element in the list
DLLLOCAL bool | plural () const
| returns true if the list contains more than one element (constant time)
DLLLOCAL void | pop_front ()
| removes an element from the beginning of the list
DLLLOCAL void | populate (self_t &other)
| concatenates all elements of this list to the end of the list passed
DLLLOCAL void | populate (self_t *other)
| concatenates all elements of this list to the end of the list passed
DLLLOCAL void | push_back (std::stringdata)
| adds an element to the end of the list (constant time)
DLLLOCAL void | push_front (std::stringdata)
| adds an element to the beginning of the list (constant time)
DLLLOCAL bool | singular () const
| returns true if the list contains only one element (constant time)

## Detailed Description

STL-like list containing all presently-loaded Qore features.

this list must be thread-safe for reading, writing under a lock

The documentation for this class was generated from the following file:

- include/qore/QoreLib.h (6585)